#ifndef AufzeichnungV_H
#define AufzeichnungV_H

#include <Bildschirm.h>
#include <Schrift.h>

using namespace Framework;

class AufzeichnungV
{
public:
	// nicht constant
	virtual void setSchrift( Schrift *schrift ) = 0;
	virtual void setBildschirm( Bildschirm *screen ) = 0;
	virtual bool ladeSpiel( int id ) = 0;
	virtual void doMausEreignis( MausEreignis &me ) = 0;
	virtual void doTastaturEreignis( TastaturEreignis &te ) = 0;
	virtual bool tick( double tickVal ) = 0;
	virtual void render( Bild &zRObj ) = 0;
	// constant
	virtual bool hatVerlassen( bool jetzt ) const = 0;
	// Reference Counting
	virtual AufzeichnungV *getThis() = 0;
	virtual AufzeichnungV *release() = 0;
};

#endif